# SSHOP

This is a Commerce theme based on [Bootstrap 3](https://www.drupal.org/project/bootstrap)
for Drupal 10/11 (previous versions supported Drupal 8/9).

This module comes with a theme features, [sshop homepage features](https://git.drupalcode.org/project/sshop/-/tree/8.x-1.x/features/sshop_homepage_feature?ref_type=heads) if installed, it creates a Home Page with the views and the quicktabs ready to use and populate.

We aim to migrate this theme to Bootstrap 5 and include modern features such as Grunt/Webpack to compile the assets, and use Drupal Recipes instead of using the now deprecated theme features.

## Table of contents

- Requirements
- Recommended modules
- Installation
- Configuration
- Troubleshooting 
- Maintainers

## Requirements

You need a Drupal 10.3 and above or a Drupal 11 installation in order to install this theme.

These modules are already set up as requirements in the `composer.json` file, so you won't need to install these yourself if you install this theme by using `composer`, you but you are free to do so if you want:

- [Font Awesome Icons](https://www.drupal.org/project/fontawesome) (^3.0)
- [Commerce](https://www.drupal.org/project/commerce) (^3.0)
- [Commerce Wishlist](https://www.drupal.org/project/commerce_wishlist) (^3.0@beta)
- [Colorbox](https://www.drupal.org/project/colorbox) (^2.1)
- [Quick Tabs](https://www.drupal.org/project/quicktabs) (^4.1)
- [Views Slideshow](https://www.drupal.org/project/views_slideshow) (^5.1)
- [Page Manager](https://www.drupal.org/project/page_manager) (^4.0@RC)
- [Panels](https://www.drupal.org/project/panels) (^4.9)
- [jQuery Deprecated Functions](https://www.drupal.org/project/jquery_deprecated_functions) (^1.0)
- [Pathauto](https://www.drupal.org/project/pathauto) (^1.13)
- [Admin Toolbar](https://www.drupal.org/project/admin_toolbar) (^3.5)

## Recommended Modules

- [Simplenews](https://www.drupal.org/project/simplenews) (^4.1)
- [Bootstrap Layouts](https://www.drupal.org/project/bootstrap_layouts) (^5.5)

## Installation

Install this theme with composer as usual (latest stable version is 8.x-1.15):

`composer require 'drupal/sshop:^1.15'`

This will download the required modules, then download the recommended modules if you want, then enable all of them.

This file has a `composer.libraries.json` file which contains the repositores to all the external libraries that you need for this project, these libraries will be installed in the `/web/libraries` directory, all you need to do is to add the repositories from the `composer.libraries.json` to your project's `composer.json` file, for example, here's how I have it in my local composer file:

```
  "repositories": [
      {
          "type": "composer",
          "url": "https://packages.drupal.org/8"
      },
      {
    "type": "package",
    "package": {
      "name": "danrod96-new/bootstrap",
      "version": "3.4.6",
      "type": "drupal-library",
      "extra": {
        "installer-name": "bootstrap"
      },
      "dist": {
        "url": "https://github.com/danrod96-new/bootstrap/archive/refs/tags/v1.0.0.zip",
        "type": "zip"
      },
      "license": "MIT"
    }
  },
  {
    "type": "package",
    "package": {
      "name": "johnpolacek/stacktable",
      "version": "1.0.3",
      "type": "drupal-library",
      "extra": {
        "installer-name": "stacktable.js"
      },
      "dist": {
        "url": "https://github.com/johnpolacek/stacktable.js/archive/refs/tags/1.0.3.zip",
        "type": "zip"
      },
      "license": "MIT"
    }
  },
  {
    "type": "package",
    "package": {
      "name": "vadikom/smartmenus",
      "version": "1.1.0",
      "type": "drupal-library",
      "extra": {
        "installer-name": "smartmenus"
      },
      "dist": {
        "url": "https://www.smartmenus.org/files/?file=smartmenus-jquery/smartmenus-1.1.0.zip",
        "type": "zip"
      },
      "license": "MIT"
    }
  },
  {
    "type": "package",
    "package": {
      "name": "atheken/json2",
      "version": "0.0.1",
      "type": "drupal-library",
      "extra": {
        "installer-name": "json2"
      },
      "dist": {
        "url": "https://gist.github.com/atheken/654510/archive/51f9363689d9c7764f6fab31581103f95d0e5cff.zip",
        "type": "zip"
      },
      "license": "MIT"
    }
  },
  {
    "type": "package",
    "package": {
      "name": "danrod96-new/cycle",
      "version": "1.0.0",
      "type": "drupal-library",
      "extra": {
          "installer-name": "jquery.cycle"
      },
      "dist": {
          "url": "https://github.com/danrod96-new/cycle/archive/refs/tags/v1.0.0.zip",
          "type": "zip"
      },
      "require": {
          "composer/installers": "^2"
      }
    }
  },
  {
      "type": "package",
      "package": {
          "name": "jackmoore/colorbox",
          "version": "1.6.4",
          "type": "drupal-library",
          "extra": {
          "installer-name": "colorbox"
          },
          "dist": {
          "url": "https://github.com/jackmoore/colorbox/archive/refs/tags/1.6.4.zip",
          "type": "zip"
          },
          "license": "MIT"
      }
  }
  ],
```

Then you can install the external libraries with composer:

```
composer require "danrod96-new/bootstrap"
composer require "johnpolacek/stacktable"
composer require "vadikom/smartmenus"
composer require "atheken/json2"
composer require "danrod96-new/cycle"
composer "jackmoore/colorbox"
```

**PLEASE NOTE**: This project uses a [modified version](https://github.com/entreprise7pro/bootstrap) of Bootstrap 3 that I [forked](https://github.com/danrod96-new/bootstrap) to add the deprecated jQuery function `$.camelCase` to make the Slideshow to work, I plan to fix this soon.

After installing all the modules & downloading all the libraries, you can enable the SShop theme at "/admin/appearance".

## Configuration

- Enable the `SShop homepage feature` module at /admin/modules, this will enable custom Home Page and some fields, taxonomy vocabularies and other settings that you can use when creating your store, please look at the `commerce/commerce-product--teaser.html.twig` and `commerce/commerce-product.html.twig` for more information on what fields to use.

## Troubleshooting

This theme should work fine out of the box, if you are having problems with it, of any kind, please create a [support issue](https://www.drupal.org/project/issues/sshop?categories=All) and we can gladly help you.


## Maintainers
-----------
  * Ivan Tibezh (tibezh) - https://www.drupal.org/u/tibezh (Former Maintainer)
  * Lilian Catanoi (liliancatanoi90) - https://www.drupal.org/u/liliancatanoi90 (Former Maintainer)
  * Daniel Rodriguez (danrod) - https://www.drupal.org/u/danrod (Current Maintainer)

### This project has been sponsored by

 * [OPTASY](https://www.optasy.com) is a Canadian Drupal development & web
  development company based in Toronto. In the past we provided Drupal
  development solutions for a variety of Canadian and foreign companies with
  outstanding results.

 * [ESINERGIA](https://esinergia.co/): Current maintenance and upgrade.
