/**
 * @file
 * Configured theme header for all screen widths.
 */

(function ($, Drupal) {
  Drupal.behaviors.sshopAnchorScroll = {
    attach: (context) => {
      function addRemoveClassOnResizeLoad() {
        const menuMain = document.querySelector('.navbar-nav');

        if (window.innerWidth < 768) {
          menuMain.classList.add('collapse', 'navbar-collapse');
        } else {
          menuMain.classList.remove('collapse', 'navbar-collapse');
        }
      }

      addRemoveClassOnResizeLoad();

      window.addEventListener('resize', addRemoveClassOnResizeLoad);
    },
  };
})(jQuery, Drupal);
